import java.rmi.Remote;
import java.rmi.RemoteException;

// Remote interface for routing messages to a process.
//
public interface MessageReceiver extends Remote
{
	// Enter message 'message' into the message queue.
	// 'from' specifies the sender. (0 ... n-1): server, -1: client
	//
	void enqueueMessage(String message, int from) throws RemoteException;
}
